آخرین خبر/ از قدیم و ندیم گفتن؛ "هر چیزی تازه‌اش خوبه الّا دوست"

 ما کارکنان و پرسنل آخرین خبر نسبت به کاربرانمون دقیقا همین حس رو داریم، یعنی کاربرهای قدیمی مون حس دوست‌های قدیمی رو دارن، سعی میکنیم بیشتر حواشون رو داشته باشیم و بیشتر پای حرف هاشون بشینیم چون زمان بیشتری رو پا به پای ما بودن و با سختی ها و مشکلاتمون ساختن اما دست از این دوستی برنداشتن.

اما امروز مجبور هستیم خبر بدی رو به بخشی از این دوست های قدیمی بدیم.

می‌دونید که دنیای اپلیکیشن‌ها و نرم افزارها، دنیایی هست که تحولات توی اون سریع اتفاق می‌افته، هر روز تکنولوژی‌های جدید و اتفاقات نو در راه هست و به روز شدن، تنها راه.

ما هم به عنوان یک اپلیکیشن پیشرو با مخاطب میلیونی مجبور هستیم که دائم به روز بشیم و از تکنولوژی‌های روز استفاده کنیم، به همین خاطر به زودی نسخه جدیدی رو منتشر میکنیم اما به خاطر تکنولوژی که پشت صحنه در اون به کار رفته متاسفانه گوشی هایی که اندروید 4 و پایین تر  دارن نمی‌تونن اون رو نصب و استفاده کنند و باید کماکان از آخرین نسخه ای که به اونها خدمات میده استفاده کنند. (آخرین نسخه‌ای که در دسترس اندرویدهای 4 قرار داره ویرایش 9.6.2 و برای اندرویدهای زیر 4 ویرایش 6.0 است)

سرعت رشد فناوری و تغییرات دنیای گوشی‌های هوشمند خیلی بالا هست و به مرور زمان برای اینکه بتونیم امکانات جدیدی رو مبتنی بر دانش روز در آخرین خبر ایجاد کنیم مجبور هستیم تا هر چند وقت یکبار یک خونه تکونی در اپلیکیشن انجام بدیم و کدهای قدیمی رو دور بریزیم و کدهای جدید استفاده کنیم. ازطرفی استورهای اندروید داخلی و خارجی مثل گوگل پلی و کافه بازار هم به تدریج محدودیت‌هایی میزارن و دیگه از اندرویدهای قدیمی پشتیبانی نمی‌کنند و برنامه‌های جدید باید سازگار با اندرویدهای جدید باشن. الان حدود 10 سال از ارائه اندروید 4 گذشته و مدت زیادی هست که خیلی از نرم‌افزارها، ارائه خدمات به این دسته کاربرانشون رو متوقف کردن، اما ما به خاطر مشکلات اقتصادی مردم در این چند سال اخیر و پایین اومدن توان عمومی برای خرید گوشیهای به روز و جدید تصمیم داشتیم که تا آخرین لحظه ممکن به این دست کاربران  خدمات بدیم و همین کار رو هم کردیم. اما واقعیت اینه که کاربرانی که دارای گوشی های دارای اندروید 4 و پایین تر هستن از این به بعد نمی تونن نسخه های جدید آخرین خبر رو نصب و استفاده کنند.

قابلیت‌های نسخه های جدیدمون، برای کارکرد درست، سریع و امن، نیازمند کدها و برنامه نویسی‌های جدید هستند و برای اجرای این ایده‌ها و قابلیت‌ها ناچار بودیم که پشتیبانی مون رو برای اندرویدهای 4 محدود کنیم. این دسته از کاربران همچنان می‌توانند از خدمات اصلی آخرین خبر با نصب ورژن 9.6.2 استفاده کنند.

دوست داریم بدونید که تمام تلاشمون رو کردیم که این اتفاق نیفته اما راهی نبود...